Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_new
Class OWSCommonCapabilities

    java.lang.Object
      org.deegree.owscommon_new.OWSCommonCapabilities

    public class OWSCommonCapabilities

extends Object

`OWSCommonCapabilities` stores the basic information common to all OGC capabilities documents according to the OWS common specification version 1.0.0. It is designed to be used by all OGC web services. The service specific content should go into a subclass of the `Content` class.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  `Content`

Constructor Summary
`OWSCommonCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Map<String,Content> contents)` Standard constructor that initializes all encapsulated data.

Method Summary
`Map<String,Content>` | `getContents()`
`OperationsMetadata` | `getOperationsMetadata()`
`ServiceIdentification` | `getServiceIdentification()`
`ServiceProvider` | `getServiceProvider()`
`String` | `getUpdateSequence()`
`String` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSCommonCapabilities

    public OWSCommonCapabilities(String version,
                                 String updateSequence,
                                 ServiceIdentification serviceIdentification,
                                 ServiceProvider serviceProvider,
                                 OperationsMetadata operationsMetadata,
                                 Map<String,Content> contents)

  Standard constructor that initializes all encapsulated data.

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `contents` -

Method Detail

### getContents

    public Map<String,Content> getContents()

  Returns:
    Returns the contents.

### getOperationsMetadata

    public OperationsMetadata getOperationsMetadata()

  Returns:
    Returns the operationsMetadata.

### getServiceIdentification

    public ServiceIdentification getServiceIdentification()

  Returns:
    Returns the serviceIdentification.

### getServiceProvider

    public ServiceProvider getServiceProvider()

  Returns:
    Returns the serviceProvider.

### getUpdateSequence

    public String getUpdateSequence()

  Returns:
    Returns the updateSequence.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org